How can i create/export points using sample lines.
Solved! Go to Solution.
Solved by TerryDotson. Go to Solution.
If you only need the Sample Line endpoints (vertices), with VisualLISP, you can drill down to the Location property for each vertex. It would be easy enough to create a COGO Point or an AutoCAD Point at that location. This code creates AutoCAD Point entities at Sample line vertices. Select a Sample Line, the code will place points for all sample lines in the group.
(defun c:go ( / smpl smpgp smplns ctr cnt vtcs vcnt vctr vtx loc)
(vl-load-com)
(setq smpl (vlax-ename->vla-object (car (entsel "\nSelect a Sample Line: "))))
(setq smpgp (vlax-get smpl 'Parent))
(setq smplns (vlax-get smpgp 'SampleLines))
(setq ctr 0
cnt (vlax-get smplns 'Count))
(while (< ctr cnt)
(setq smpl (vlax-invoke smplns 'Item ctr))
(setq vtcs (vlax-get smpl 'Vertices)
vcnt (vlax-get vtcs 'Count)
vctr 0)
(while (< vctr vcnt)
(setq vtx (vlax-invoke-method vtcs 'Item vctr))
(setq loc (vlax-get vtx 'Location))
(setq vctr (1+ vctr))
(vl-cmdf "Point" loc)
)
(setq ctr (1+ ctr))
)
(princ)
)
I'm looking for the points at specific interval and offset with single click.
What do cross section reports offer?
Joe Bouza
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.
If you were to consider third party add-ons, DotSoft's C3DTools will process an alignment, collecting points (optionally places CogoPoints) along the sample lines. Exports station, offset, northing, easting and surface elevation at specified intervals (like -10,0,10) or all points where the sample line intersects the triangles of the surface.
Set the corridor to the sample line increment and write cog point from corridor >> export
Joe Bouza
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.
Can't find what you're looking for? Ask the community or share your knowledge.